DEVICE_SET_DRIVER(9)

NAME
device_set_driver - associate a specific driver with a device node in the tree

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
void
device_set_driver(device_t dev, driver_t *driver);

DESCRIPTION
This function associates a specific driver with a given device node in the tree. It is typically used in DEVICE_IDENTIFY(9) functions to add devices to a bus that does not support doing so automatically, such as the ISA bus.

SEE ALSO
device(9)

AUTHORS
This manual page was written by M. Warner Losh.